https://github.com/nixtla logo
#general
Title
# general
j

J T

10/23/2022, 2:31 AM
Hi team, ran StatsForecast AutoArima and got an error, wonder how we can see which unique id triggers the error to examine what was going? here is the error log: RemoteTraceback Traceback (most recent call last) RemoteTraceback: “”" Traceback (most recent call last): …… ValueError: order must be 3 non-negative integers, got (0, 0, 0) “”" The above exception was the direct cause of the following exception:
f

fede (nixtla) (they/them)

10/23/2022, 2:59 AM
Hey @J T! Thanks for letting us know about the issue. The new version of StatsForecast includes a new parameter named
fallback_model.
The main idea behind it is that you can pass a safe model in case that a main model fails. So, StatsForecast tries to fit the main models for each time series and if something fails, it will fit a safer model, for example
Naive().
The code would be,
Copy code
StatsForecast(models=AutoARIMA(), fallback_model=Naive(), extra params)
Please let us know if that works for your use case.
j

J T

10/24/2022, 9:01 PM
@fede (nixtla) (they/them) thanks Fede… will try. now the next question is how i would know which forecast using fallback vs original?
also, if i change Naive() to ETS, it erros out: TypeError: forecast() missing 1 required positional argument: ‘self’